var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var ChunkFileSaveMongo = new Schema({
    uid: {
        type: String,
        unique: false
    },
    fieldname: {
        type: String,
        unique: false
    },
    files_id: {
        type: String,
        unique: false
    },
    n: {
        type: String,
        unique: false
    },
    data: [{
        type: String
    }],
    id: {
        type: String,
        unique: false
    }
});

module.exports = mongoose.model('ChunkFileSaveMongo', ChunkFileSaveMongo, 'fs.chunks');
